Page MenuHomeFreeBSD

limit building GNU as to relevant targets
ClosedPublic

Authored by emaste on Jan 14 2020, 10:24 PM.

Details

Summary

GNU as 2.17.50 is currently required by amd64 and i386, so build there. It was previously built but known not to be needed on 32-bit arm, so no longer built there. It does not support 64-bit arm or RISC-V.

That leaves mips, powerpc, and sparc64. For now continue building it on those targets.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

emaste created this revision.Jan 14 2020, 10:24 PM
jhb added a comment.Jan 17 2020, 5:19 PM

mips doesn't use it when building with clang. If you are using external GCC for mips you will also be using external as, so I think you can actually just delete it entirely for mips. You might want to ask the powerpc folks if powerpc is in the same boat. Given that GCC 4.2.1 is dead, we should really only be enabling this for platforms that need /usr/bin/as for the in-tree LLVM toolchain which is probably just x86? Even sparc64 can go since it requires external GCC at this point.

@jhibbits @bdragon do we need GNU as 2.17.50 on powerpc?

emaste updated this revision to Diff 66932.Jan 17 2020, 8:51 PM

@emaste nope. powerpc* don't need GNU as. LLVM has everything we need.

Great, thanks. I will change this to build as on i386 and amd64 only and commit that soon.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 19 2020, 7:16 PM
This revision was automatically updated to reflect the committed changes.

I've been using D18758 to get rid of gnu as on amd64 as well…